# Interface CompatibilityCheckDetails<T>

Type Parameters:
  `T` - the concrete type of the attribute

@Incubating public interface CompatibilityCheckDetails<T>
Provides context about attribute compatibility checks, and allows the user to define when an attribute is compatible with another.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`void`
`compatible()`
Calling this method will indicate that the attributes are compatible.
`T`
`getConsumerValue()`
The value of the attribute as found on the consumer side.
`T`
`getProducerValue()`
The value of the attribute as found on the producer side.
`void`
`incompatible()`
Calling this method will indicate that the attributes are incompatible.

## Method Details

### getConsumerValue

@Nullable T getConsumerValue()
The value of the attribute as found on the consumer side.

Returns:
  the value from the consumer

### getProducerValue

@Nullable T getProducerValue()
The value of the attribute as found on the producer side.

Returns:
  the value from the producer

### compatible

void compatible()
Calling this method will indicate that the attributes are compatible.

### incompatible

void incompatible()
Calling this method will indicate that the attributes are incompatible.